Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class SqlProviderDocumentImpl.SqlProviderImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ProviderImpl
                  org.jboss.soa.esb.listeners.config.xbeanmodel.impl.BusProviderImpl
                      org.jboss.soa.esb.listeners.config.xbeanmodel.impl.SqlProviderDocumentImpl.SqlProviderImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, BusProvider, Provider, SqlProviderDocument.SqlProvider

Enclosing class:
  SqlProviderDocumentImpl

    public static class SqlProviderDocumentImpl.SqlProviderImpl

extends BusProviderImpl
implements SqlProviderDocument.SqlProvider

An XML sql-provider(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SqlProviderDocument.SqlProvider
`SqlProviderDocument.SqlProvider.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SqlProviderDocument.SqlProvider
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`SqlProviderDocumentImpl.SqlProviderImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getDatasource()` Gets the "datasource" attribute
`java.lang.String` | `getDriver()` Gets the "driver" attribute
`java.lang.String` | `getPassword()` Gets the "password" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`java.lang.String` | `getUrl()` Gets the "url" attribute
`java.lang.String` | `getUsername()` Gets the "username" attribute
`boolean` | `isSetDatasource()` True if has "datasource" attribute
`boolean` | `isSetDriver()` True if has "driver" attribute
`boolean` | `isSetPassword()` True if has "password" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`boolean` | `isSetUrl()` True if has "url" attribute
`boolean` | `isSetUsername()` True if has "username" attribute
`void` | `setDatasource(java.lang.String datasource)` Sets the "datasource" attribute
`void` | `setDriver(java.lang.String driver)` Sets the "driver" attribute
`void` | `setPassword(java.lang.String password)` Sets the "password" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `setUrl(java.lang.String url)` Sets the "url" attribute
`void` | `setUsername(java.lang.String username)` Sets the "username" attribute
`void` | `unsetDatasource()` Unsets the "datasource" attribute
`void` | `unsetDriver()` Unsets the "driver" attribute
`void` | `unsetPassword()` Unsets the "password" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`void` | `unsetUrl()` Unsets the "url" attribute
`void` | `unsetUsername()` Unsets the "username" attribute
`org.apache.xmlbeans.XmlString` | `xgetDatasource()` Gets (as xml) the "datasource" attribute
`org.apache.xmlbeans.XmlString` | `xgetDriver()` Gets (as xml) the "driver" attribute
`org.apache.xmlbeans.XmlString` | `xgetPassword()` Gets (as xml) the "password" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetUrl()` Gets (as xml) the "url" attribute
`org.apache.xmlbeans.XmlString` | `xgetUsername()` Gets (as xml) the "username" attribute
`void` | `xsetDatasource(org.apache.xmlbeans.XmlString datasource)` Sets (as xml) the "datasource" attribute
`void` | `xsetDriver(org.apache.xmlbeans.XmlString driver)` Sets (as xml) the "driver" attribute
`void` | `xsetPassword(org.apache.xmlbeans.XmlString password)` Sets (as xml) the "password" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute
`void` | `xsetUrl(org.apache.xmlbeans.XmlString url)` Sets (as xml) the "url" attribute
`void` | `xsetUsername(org.apache.xmlbeans.XmlString username)` Sets (as xml) the "username" attribute

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.BusProviderImpl
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ProviderImpl
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.BusProvider
`addNewBus, getBusArray, getBusArray, getBusList, insertNewBus, removeBus, setBusArray, setBusArray, sizeOfBusArray`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Provider
`addNewProperty, getName, getPropertyArray, getPropertyArray, getPropertyList, insertNewProperty, removeProperty, setName, setPropertyArray, setPropertyArray, sizeOfPropertyArray, xgetName, xsetName`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### SqlProviderDocumentImpl.SqlProviderImpl

    public SqlProviderDocumentImpl.SqlProviderImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getDatasource

    public java.lang.String getDatasource()

  Gets the "datasource" attribute

  Specified by:
    `getDatasource` in interface `SqlProviderDocument.SqlProvider`

### xgetDatasource

    public org.apache.xmlbeans.XmlString xgetDatasource()

  Gets (as xml) the "datasource" attribute

  Specified by:
    `xgetDatasource` in interface `SqlProviderDocument.SqlProvider`

### isSetDatasource

    public boolean isSetDatasource()

  True if has "datasource" attribute

  Specified by:
    `isSetDatasource` in interface `SqlProviderDocument.SqlProvider`

### setDatasource

    public void setDatasource(java.lang.String datasource)

  Sets the "datasource" attribute

  Specified by:
    `setDatasource` in interface `SqlProviderDocument.SqlProvider`

### xsetDatasource

    public void xsetDatasource(org.apache.xmlbeans.XmlString datasource)

  Sets (as xml) the "datasource" attribute

  Specified by:
    `xsetDatasource` in interface `SqlProviderDocument.SqlProvider`

### unsetDatasource

    public void unsetDatasource()

  Unsets the "datasource" attribute

  Specified by:
    `unsetDatasource` in interface `SqlProviderDocument.SqlProvider`

### getUrl

    public java.lang.String getUrl()

  Gets the "url" attribute

  Specified by:
    `getUrl` in interface `SqlProviderDocument.SqlProvider`

### xgetUrl

    public org.apache.xmlbeans.XmlString xgetUrl()

  Gets (as xml) the "url" attribute

  Specified by:
    `xgetUrl` in interface `SqlProviderDocument.SqlProvider`

### isSetUrl

    public boolean isSetUrl()

  True if has "url" attribute

  Specified by:
    `isSetUrl` in interface `SqlProviderDocument.SqlProvider`

### setUrl

    public void setUrl(java.lang.String url)

  Sets the "url" attribute

  Specified by:
    `setUrl` in interface `SqlProviderDocument.SqlProvider`

### xsetUrl

    public void xsetUrl(org.apache.xmlbeans.XmlString url)

  Sets (as xml) the "url" attribute

  Specified by:
    `xsetUrl` in interface `SqlProviderDocument.SqlProvider`

### unsetUrl

    public void unsetUrl()

  Unsets the "url" attribute

  Specified by:
    `unsetUrl` in interface `SqlProviderDocument.SqlProvider`

### getDriver

    public java.lang.String getDriver()

  Gets the "driver" attribute

  Specified by:
    `getDriver` in interface `SqlProviderDocument.SqlProvider`

### xgetDriver

    public org.apache.xmlbeans.XmlString xgetDriver()

  Gets (as xml) the "driver" attribute

  Specified by:
    `xgetDriver` in interface `SqlProviderDocument.SqlProvider`

### isSetDriver

    public boolean isSetDriver()

  True if has "driver" attribute

  Specified by:
    `isSetDriver` in interface `SqlProviderDocument.SqlProvider`

### setDriver

    public void setDriver(java.lang.String driver)

  Sets the "driver" attribute

  Specified by:
    `setDriver` in interface `SqlProviderDocument.SqlProvider`

### xsetDriver

    public void xsetDriver(org.apache.xmlbeans.XmlString driver)

  Sets (as xml) the "driver" attribute

  Specified by:
    `xsetDriver` in interface `SqlProviderDocument.SqlProvider`

### unsetDriver

    public void unsetDriver()

  Unsets the "driver" attribute

  Specified by:
    `unsetDriver` in interface `SqlProviderDocument.SqlProvider`

### getUsername

    public java.lang.String getUsername()

  Gets the "username" attribute

  Specified by:
    `getUsername` in interface `SqlProviderDocument.SqlProvider`

### xgetUsername

    public org.apache.xmlbeans.XmlString xgetUsername()

  Gets (as xml) the "username" attribute

  Specified by:
    `xgetUsername` in interface `SqlProviderDocument.SqlProvider`

### isSetUsername

    public boolean isSetUsername()

  True if has "username" attribute

  Specified by:
    `isSetUsername` in interface `SqlProviderDocument.SqlProvider`

### setUsername

    public void setUsername(java.lang.String username)

  Sets the "username" attribute

  Specified by:
    `setUsername` in interface `SqlProviderDocument.SqlProvider`

### xsetUsername

    public void xsetUsername(org.apache.xmlbeans.XmlString username)

  Sets (as xml) the "username" attribute

  Specified by:
    `xsetUsername` in interface `SqlProviderDocument.SqlProvider`

### unsetUsername

    public void unsetUsername()

  Unsets the "username" attribute

  Specified by:
    `unsetUsername` in interface `SqlProviderDocument.SqlProvider`

### getPassword

    public java.lang.String getPassword()

  Gets the "password" attribute

  Specified by:
    `getPassword` in interface `SqlProviderDocument.SqlProvider`

### xgetPassword

    public org.apache.xmlbeans.XmlString xgetPassword()

  Gets (as xml) the "password" attribute

  Specified by:
    `xgetPassword` in interface `SqlProviderDocument.SqlProvider`

### isSetPassword

    public boolean isSetPassword()

  True if has "password" attribute

  Specified by:
    `isSetPassword` in interface `SqlProviderDocument.SqlProvider`

### setPassword

    public void setPassword(java.lang.String password)

  Sets the "password" attribute

  Specified by:
    `setPassword` in interface `SqlProviderDocument.SqlProvider`

### xsetPassword

    public void xsetPassword(org.apache.xmlbeans.XmlString password)

  Sets (as xml) the "password" attribute

  Specified by:
    `xsetPassword` in interface `SqlProviderDocument.SqlProvider`

### unsetPassword

    public void unsetPassword()

  Unsets the "password" attribute

  Specified by:
    `unsetPassword` in interface `SqlProviderDocument.SqlProvider`

### getTransacted

    public boolean getTransacted()

  Gets the "transacted" attribute

  Specified by:
    `getTransacted` in interface `SqlProviderDocument.SqlProvider`

### xgetTransacted

    public org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

  Specified by:
    `xgetTransacted` in interface `SqlProviderDocument.SqlProvider`

### isSetTransacted

    public boolean isSetTransacted()

  True if has "transacted" attribute

  Specified by:
    `isSetTransacted` in interface `SqlProviderDocument.SqlProvider`

### setTransacted

    public void setTransacted(boolean transacted)

  Sets the "transacted" attribute

  Specified by:
    `setTransacted` in interface `SqlProviderDocument.SqlProvider`

### xsetTransacted

    public void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

  Specified by:
    `xsetTransacted` in interface `SqlProviderDocument.SqlProvider`

### unsetTransacted

    public void unsetTransacted()

  Unsets the "transacted" attribute

  Specified by:
    `unsetTransacted` in interface `SqlProviderDocument.SqlProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD